=== debian/changelog ===
kwin-zones (1.0.11-1) unstable; urgency=medium

  * Initial release

 -- Matthias Klumpp <mak@debian.org>  Sat, 28 Feb 2026 20:46:32 +0100
