=== debian/control ===
Source: kwin-zones
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kwin-dev,
               libdrm-dev,
               pkgconf,
               plasma-workspace-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               qt6-wayland-private-dev,
               wayland-protocols
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/automotive/kwin-zones
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kwin-zones
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kwin-zones.git

Package: kwin-zones
Architecture: any
Depends: kwin-wayland,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends}
Description: Client window positioning support for KWin on Wayland
 KWin Zones is a plugin for KWin that implements the xx-zones experimental
 Wayland protocol, allowing applications to give the window manager hints
 on where their windows should be placed.
 .
 This is particularly useful for larger multi-window scientific, CAD or DAW
 applications. To make use of this protocol, the applications or their
 toolkits need to implement xx-zones from wayland-protocols as well.
