=== debian/watch ===
Version: 5
Source: https://invent.kde.org/automotive/kwin-zones
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
